Index: postreload.c
===================================================================
--- postreload.c	(revision 189457)
+++ postreload.c	(working copy)
@@ -43,7 +43,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "except.h"
 #include "tree.h"
 #include "target.h"
-#include "timevar.h"
 #include "tree-pass.h"
 #include "df.h"
 #include "dbgcnt.h"
Index: value-prof.c
===================================================================
--- value-prof.c	(revision 189457)
+++ value-prof.c	(working copy)
@@ -36,14 +36,13 @@ along with GCC; see the file COPYING3.  If not see
 #include "tree-flow.h"
 #include "tree-flow-inline.h"
 #include "diagnostic.h"
-#include "tree-pretty-print.h"
 #include "gimple-pretty-print.h"
 #include "coverage.h"
 #include "tree.h"
 #include "gcov-io.h"
 #include "cgraph.h"
 #include "timevar.h"
-#include "tree-pass.h"
+#include "dumpfile.h"
 #include "pointer-set.h"
 #include "profile.h"
 
Index: haifa-sched.c
===================================================================
--- haifa-sched.c	(revision 189457)
+++ haifa-sched.c	(working copy)
@@ -149,6 +149,7 @@ along with GCC; see the file COPYING3.  If not see
 #include "ira.h"
 #include "emit-rtl.h"  /* FIXME: Can go away once crtl is moved to rtl.h.  */
 #include "hashtab.h"
+#include "dumpfile.h"
 
 #ifdef INSN_SCHEDULING
 
Index: regrename.c
===================================================================
--- regrename.c	(revision 189457)
+++ regrename.c	(working copy)
@@ -35,7 +35,6 @@
 #include "recog.h"
 #include "flags.h"
 #include "obstack.h"
-#include "timevar.h"
 #include "tree-pass.h"
 #include "df.h"
 #include "target.h"
Index: sel-sched-ir.c
===================================================================
--- sel-sched-ir.c	(revision 189457)
+++ sel-sched-ir.c	(working copy)
@@ -35,8 +35,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "recog.h"
 #include "params.h"
 #include "target.h"
-#include "timevar.h"
-#include "tree-pass.h"
 #include "sched-int.h"
 #include "ggc.h"
 #include "tree.h"
Index: matrix-reorg.c
===================================================================
--- matrix-reorg.c	(revision 189457)
+++ matrix-reorg.c	(working copy)
@@ -126,7 +126,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "target.h"
 #include "cgraph.h"
 #include "diagnostic-core.h"
-#include "timevar.h"
 #include "params.h"
 #include "fibheap.h"
 #include "intl.h"
Index: loop-iv.c
===================================================================
--- loop-iv.c	(revision 189457)
+++ loop-iv.c	(working copy)
@@ -62,6 +62,7 @@ along with GCC; see the file COPYING3.  If not see
 #include "diagnostic-core.h"
 #include "df.h"
 #include "hashtab.h"
+#include "dumpfile.h"
 
 /* Possible return values of iv_get_reaching_def.  */
 
Index: caller-save.c
===================================================================
--- caller-save.c	(revision 189457)
+++ caller-save.c	(working copy)
@@ -38,6 +38,7 @@ along with GCC; see the file COPYING3.  If not see
 #include "tm_p.h"
 #include "addresses.h"
 #include "ggc.h"
+#include "dumpfile.h"
 
 #define MOVE_MAX_WORDS (MOVE_MAX / UNITS_PER_WORD)
 
Index: tree-vect-data-refs.c
===================================================================
--- tree-vect-data-refs.c	(revision 189457)
+++ tree-vect-data-refs.c	(working copy)
@@ -29,10 +29,9 @@ along with GCC; see the file COPYING3.  If not see
 #include "tm_p.h"
 #include "target.h"
 #include "basic-block.h"
-#include "tree-pretty-print.h"
 #include "gimple-pretty-print.h"
 #include "tree-flow.h"
-#include "tree-dump.h"
+#include "dumpfile.h"
 #include "cfgloop.h"
 #include "tree-chrec.h"
 #include "tree-scalar-evolution.h"
Index: tree-dump.c
===================================================================
--- tree-dump.c	(revision 189457)
+++ tree-dump.c	(working copy)
@@ -29,7 +29,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "diagnostic-core.h"
 #include "toplev.h"
 #include "tree-dump.h"
-#include "tree-pass.h"
 #include "langhooks.h"
 #include "tree-iterator.h"
 
Index: lto-section-out.c
===================================================================
--- lto-section-out.c	(revision 189457)
+++ lto-section-out.c	(working copy)
@@ -30,7 +30,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "hashtab.h"
 #include "basic-block.h"
 #include "tree-flow.h"
-#include "tree-pass.h"
 #include "cgraph.h"
 #include "function.h"
 #include "ggc.h"
Index: ipa-inline-analysis.c
===================================================================
--- ipa-inline-analysis.c	(revision 189457)
+++ ipa-inline-analysis.c	(working copy)
@@ -76,7 +76,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "cgraph.h"
 #include "diagnostic.h"
 #include "gimple-pretty-print.h"
-#include "timevar.h"
 #include "params.h"
 #include "tree-pass.h"
 #include "coverage.h"
Index: ifcvt.c
===================================================================
--- ifcvt.c	(revision 189457)
+++ ifcvt.c	(working copy)
@@ -40,7 +40,6 @@
 #include "tm_p.h"
 #include "cfgloop.h"
 #include "target.h"
-#include "timevar.h"
 #include "tree-pass.h"
 #include "df.h"
 #include "vec.h"
Index: tree-outof-ssa.c
===================================================================
--- tree-outof-ssa.c	(revision 189457)
+++ tree-outof-ssa.c	(working copy)
@@ -26,13 +26,10 @@ along with GCC; see the file COPYING3.  If not see
 #include "tree.h"
 #include "ggc.h"
 #include "basic-block.h"
-#include "tree-pretty-print.h"
 #include "gimple-pretty-print.h"
 #include "bitmap.h"
 #include "tree-flow.h"
-#include "timevar.h"
-#include "tree-dump.h"
-#include "tree-pass.h"
+#include "dumpfile.h"
 #include "diagnostic-core.h"
 #include "ssaexpand.h"
 
Index: graphite-dependences.c
===================================================================
--- graphite-dependences.c	(revision 189457)
+++ graphite-dependences.c	(working copy)
@@ -34,7 +34,7 @@ along with GCC; see the file COPYING3.  If not see
 #include "system.h"
 #include "coretypes.h"
 #include "tree-flow.h"
-#include "tree-dump.h"
+#include "dumpfile.h"
 #include "cfgloop.h"
 #include "tree-chrec.h"
 #include "tree-data-ref.h"
Index: tree-ssa-loop-ch.c
===================================================================
--- tree-ssa-loop-ch.c	(revision 189457)
+++ tree-ssa-loop-ch.c	(working copy)
@@ -26,9 +26,7 @@ along with GCC; see the file COPYING3.  If not see
 #include "tm_p.h"
 #include "basic-block.h"
 #include "tree-flow.h"
-#include "tree-dump.h"
 #include "tree-pass.h"
-#include "timevar.h"
 #include "cfgloop.h"
 #include "tree-inline.h"
 #include "flags.h"
Index: tree-ssa-loop-unswitch.c
===================================================================
--- tree-ssa-loop-unswitch.c	(revision 189457)
+++ tree-ssa-loop-unswitch.c	(working copy)
@@ -25,8 +25,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "tm_p.h"
 #include "basic-block.h"
 #include "tree-flow.h"
-#include "tree-dump.h"
-#include "timevar.h"
 #include "cfgloop.h"
 #include "params.h"
 #include "tree-pass.h"
Index: tree-ssa-ifcombine.c
===================================================================
--- tree-ssa-ifcombine.c	(revision 189457)
+++ tree-ssa-ifcombine.c	(working copy)
@@ -24,11 +24,9 @@ along with GCC; see the file COPYING3.  If not see
 #include "tm.h"
 #include "tree.h"
 #include "basic-block.h"
-#include "timevar.h"
 #include "tree-pretty-print.h"
 #include "tree-flow.h"
 #include "tree-pass.h"
-#include "tree-dump.h"
 
 /* This pass combines COND_EXPRs to simplify control flow.  It
    currently recognizes bit tests and comparisons in chains that
Index: tree-ssa-copy.c
===================================================================
--- tree-ssa-copy.c	(revision 189457)
+++ tree-ssa-copy.c	(working copy)
@@ -27,10 +27,7 @@ along with GCC; see the file COPYING3.  If not see
 #include "tm_p.h"
 #include "basic-block.h"
 #include "function.h"
-#include "tree-pretty-print.h"
 #include "gimple-pretty-print.h"
-#include "timevar.h"
-#include "tree-dump.h"
 #include "tree-flow.h"
 #include "tree-pass.h"
 #include "tree-ssa-propagate.h"
Index: tree-if-conv.c
===================================================================
--- tree-if-conv.c	(revision 189457)
+++ tree-if-conv.c	(working copy)
@@ -87,12 +87,9 @@ along with GCC; see the file COPYING3.  If not see
 #include "tm.h"
 #include "tree.h"
 #include "flags.h"
-#include "timevar.h"
 #include "basic-block.h"
-#include "tree-pretty-print.h"
 #include "gimple-pretty-print.h"
 #include "tree-flow.h"
-#include "tree-dump.h"
 #include "cfgloop.h"
 #include "tree-chrec.h"
 #include "tree-data-ref.h"
Index: recog.c
===================================================================
--- recog.c	(revision 189457)
+++ recog.c	(working copy)
@@ -38,7 +38,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "basic-block.h"
 #include "reload.h"
 #include "target.h"
-#include "timevar.h"
 #include "tree-pass.h"
 #include "df.h"
 
Index: mcf.c
===================================================================
--- mcf.c	(revision 189457)
+++ mcf.c	(working copy)
@@ -49,6 +49,7 @@ along with GCC; see the file COPYING3.  If not see
 #include "basic-block.h"
 #include "gcov-io.h"
 #include "profile.h"
+#include "dumpfile.h"
 
 /* CAP_INFINITY: Constant to represent infinite capacity.  */
 #define CAP_INFINITY INTTYPE_MAXIMUM (HOST_WIDEST_INT)
Index: tree-chrec.c
===================================================================
--- tree-chrec.c	(revision 189457)
+++ tree-chrec.c	(working copy)
@@ -31,7 +31,7 @@ along with GCC; see the file COPYING3.  If not see
 #include "cfgloop.h"
 #include "tree-flow.h"
 #include "tree-chrec.h"
-#include "tree-pass.h"
+#include "dumpfile.h"
 #include "params.h"
 #include "tree-scalar-evolution.h"
 
Index: tree-ssa-uninit.c
===================================================================
--- tree-ssa-uninit.c	(revision 189457)
+++ tree-ssa-uninit.c	(working copy)
@@ -26,7 +26,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "tree.h"
 #include "flags.h"
 #include "tm_p.h"
-#include "langhooks.h"
 #include "basic-block.h"
 #include "function.h"
 #include "gimple-pretty-print.h"
@@ -35,12 +34,9 @@ along with GCC; see the file COPYING3.  If not see
 #include "tree-flow.h"
 #include "gimple.h"
 #include "tree-inline.h"
-#include "timevar.h"
 #include "hashtab.h"
-#include "tree-dump.h"
 #include "tree-pass.h"
 #include "diagnostic-core.h"
-#include "timevar.h"
 
 /* This implements the pass that does predicate aware warning on uses of
    possibly uninitialized variables. The pass first collects the set of
Index: except.c
===================================================================
--- except.c	(revision 189457)
+++ except.c	(working copy)
@@ -141,7 +141,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "diagnostic.h"
 #include "tree-pretty-print.h"
 #include "tree-pass.h"
-#include "timevar.h"
 #include "tree-flow.h"
 #include "cfgloop.h"
 
Index: cselib.c
===================================================================
--- cselib.c	(revision 189457)
+++ cselib.c	(working copy)
@@ -37,7 +37,7 @@ along with GCC; see the file COPYING3.  If not see
 #include "diagnostic-core.h"
 #include "ggc.h"
 #include "hashtab.h"
-#include "tree-pass.h"
+#include "dumpfile.h"
 #include "cselib.h"
 #include "params.h"
 #include "alloc-pool.h"
Index: cgraphunit.c
===================================================================
--- cgraphunit.c	(revision 189457)
+++ cgraphunit.c	(working copy)
@@ -176,7 +176,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "target.h"
 #include "cgraph.h"
 #include "diagnostic.h"
-#include "timevar.h"
 #include "params.h"
 #include "fibheap.h"
 #include "intl.h"
Index: combine.c
===================================================================
--- combine.c	(revision 189457)
+++ combine.c	(working copy)
@@ -98,7 +98,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "insn-codes.h"
 #include "rtlhooks-def.h"
 #include "params.h"
-#include "timevar.h"
 #include "tree-pass.h"
 #include "df.h"
 #include "cgraph.h"
Index: regcprop.c
===================================================================
--- regcprop.c	(revision 189457)
+++ regcprop.c	(working copy)
@@ -35,7 +35,6 @@
 #include "flags.h"
 #include "diagnostic-core.h"
 #include "obstack.h"
-#include "timevar.h"
 #include "tree-pass.h"
 #include "df.h"
 
Index: graphite-poly.c
===================================================================
--- graphite-poly.c	(revision 189457)
+++ graphite-poly.c	(working copy)
@@ -36,7 +36,7 @@ along with GCC; see the file COPYING3.  If not see
 #include "coretypes.h"
 #include "diagnostic-core.h"
 #include "tree-flow.h"
-#include "tree-dump.h"
+#include "dumpfile.h"
 #include "gimple-pretty-print.h"
 #include "cfgloop.h"
 #include "tree-chrec.h"
Index: cfgloop.c
===================================================================
--- cfgloop.c	(revision 189457)
+++ cfgloop.c	(working copy)
@@ -23,8 +23,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "coretypes.h"
 #include "tm.h"
 #include "rtl.h"
-#include "hard-reg-set.h"
-#include "obstack.h"
 #include "function.h"
 #include "basic-block.h"
 #include "cfgloop.h"
@@ -34,6 +32,7 @@ along with GCC; see the file COPYING3.  If not see
 #include "tree-flow.h"
 #include "pointer-set.h"
 #include "ggc.h"
+#include "dumpfile.h"
 
 static void flow_loops_cfg_dump (FILE *);
 
Index: tree-vrp.c
===================================================================
--- tree-vrp.c	(revision 189457)
+++ tree-vrp.c	(working copy)
@@ -30,8 +30,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "tree-flow.h"
 #include "tree-pass.h"
 #include "tree-dump.h"
-#include "timevar.h"
-#include "tree-pretty-print.h"
 #include "gimple-pretty-print.h"
 #include "diagnostic-core.h"
 #include "intl.h"
Index: tree-ssa-uncprop.c
===================================================================
--- tree-ssa-uncprop.c	(revision 189457)
+++ tree-ssa-uncprop.c	(working copy)
@@ -27,13 +27,10 @@ along with GCC; see the file COPYING3.  If not see
 #include "tm_p.h"
 #include "basic-block.h"
 #include "function.h"
-#include "timevar.h"
-#include "tree-dump.h"
 #include "tree-flow.h"
 #include "domwalk.h"
 #include "tree-pass.h"
 #include "tree-ssa-propagate.h"
-#include "langhooks.h"
 
 /* The basic structure describing an equivalency created by traversing
    an edge.  Traversing the edge effectively means that we can assume
Index: lower-subreg.c
===================================================================
--- lower-subreg.c	(revision 189457)
+++ lower-subreg.c	(working copy)
@@ -27,7 +27,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "tm.h"
 #include "rtl.h"
 #include "tm_p.h"
-#include "timevar.h"
 #include "flags.h"
 #include "insn-config.h"
 #include "obstack.h"
Index: tree-ssa-structalias.c
===================================================================
--- tree-ssa-structalias.c	(revision 189457)
+++ tree-ssa-structalias.c	(working copy)
@@ -37,7 +37,6 @@
 #include "function.h"
 #include "cgraph.h"
 #include "tree-pass.h"
-#include "timevar.h"
 #include "alloc-pool.h"
 #include "splay-tree.h"
 #include "params.h"
Index: alias.c
===================================================================
--- alias.c	(revision 189457)
+++ alias.c	(working copy)
@@ -39,9 +39,9 @@ along with GCC; see the file COPYING3.  If not see
 #include "ggc.h"
 #include "langhooks.h"
 #include "timevar.h"
+#include "dumpfile.h"
 #include "target.h"
 #include "cgraph.h"
-#include "tree-pass.h"
 #include "df.h"
 #include "tree-ssa-alias.h"
 #include "pointer-set.h"
Index: reginfo.c
===================================================================
--- reginfo.c	(revision 189457)
+++ reginfo.c	(working copy)
@@ -45,7 +45,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "reload.h"
 #include "diagnostic-core.h"
 #include "output.h"
-#include "timevar.h"
 #include "hashtab.h"
 #include "target.h"
 #include "tree-pass.h"
Index: postreload-gcse.c
===================================================================
--- postreload-gcse.c	(revision 189457)
+++ postreload-gcse.c	(working copy)
@@ -41,7 +41,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "hashtab.h"
 #include "params.h"
 #include "target.h"
-#include "timevar.h"
 #include "tree-pass.h"
 #include "dbgcnt.h"
 
Index: tree-ssa-threadupdate.c
===================================================================
--- tree-ssa-threadupdate.c	(revision 189457)
+++ tree-ssa-threadupdate.c	(working copy)
@@ -28,8 +28,7 @@ along with GCC; see the file COPYING3.  If not see
 #include "basic-block.h"
 #include "function.h"
 #include "tree-flow.h"
-#include "tree-dump.h"
-#include "tree-pass.h"
+#include "dumpfile.h"
 #include "cfgloop.h"
 
 /* Given a block B, update the CFG and SSA graph to reflect redirecting
Index: tree-optimize.c
===================================================================
--- tree-optimize.c	(revision 189457)
+++ tree-optimize.c	(working copy)
@@ -28,8 +28,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "basic-block.h"
 #include "flags.h"
 #include "tree-flow.h"
-#include "tree-dump.h"
-#include "timevar.h"
 #include "function.h"
 #include "langhooks.h"
 #include "diagnostic-core.h"
Index: store-motion.c
===================================================================
--- store-motion.c	(revision 189457)
+++ store-motion.c	(working copy)
@@ -39,7 +39,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "except.h"
 #include "ggc.h"
 #include "intl.h"
-#include "timevar.h"
 #include "tree-pass.h"
 #include "hashtab.h"
 #include "df.h"
Index: cfg.c
===================================================================
--- cfg.c	(revision 189457)
+++ cfg.c	(working copy)
@@ -58,6 +58,7 @@ along with GCC; see the file COPYING3.  If not see
 #include "basic-block.h"
 #include "df.h"
 #include "cfgloop.h" /* FIXME: For struct loop.  */
+#include "dumpfile.h"
 
 
 #define RDIV(X,Y) (((X) + (Y) / 2) / (Y))
Index: tree-ssa-pre.c
===================================================================
--- tree-ssa-pre.c	(revision 189457)
+++ tree-ssa-pre.c	(working copy)
@@ -26,13 +26,10 @@ along with GCC; see the file COPYING3.  If not see
 #include "tm.h"
 #include "tree.h"
 #include "basic-block.h"
-#include "tree-pretty-print.h"
 #include "gimple-pretty-print.h"
 #include "tree-inline.h"
 #include "tree-flow.h"
 #include "gimple.h"
-#include "tree-dump.h"
-#include "timevar.h"
 #include "fibheap.h"
 #include "hashtab.h"
 #include "tree-iterator.h"
Index: jump.c
===================================================================
--- jump.c	(revision 189457)
+++ jump.c	(working copy)
@@ -54,7 +54,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "diagnostic-core.h"
 #include "reload.h"
 #include "predict.h"
-#include "timevar.h"
 #include "tree-pass.h"
 #include "target.h"
 
Index: expr.c
===================================================================
--- expr.c	(revision 189457)
+++ expr.c	(working copy)
@@ -45,7 +45,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "intl.h"
 #include "tm_p.h"
 #include "tree-iterator.h"
-#include "tree-pass.h"
 #include "tree-flow.h"
 #include "target.h"
 #include "common/common-target.h"
Index: tree-predcom.c
===================================================================
--- tree-predcom.c	(revision 189457)
+++ tree-predcom.c	(working copy)
@@ -198,7 +198,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "tree-scalar-evolution.h"
 #include "tree-chrec.h"
 #include "params.h"
-#include "tree-pretty-print.h"
 #include "gimple-pretty-print.h"
 #include "tree-pass.h"
 #include "tree-affine.h"
Index: tree-mudflap.c
===================================================================
--- tree-mudflap.c	(revision 189457)
+++ tree-mudflap.c	(working copy)
@@ -35,7 +35,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "tree-iterator.h"
 #include "tree-flow.h"
 #include "tree-mudflap.h"
-#include "tree-dump.h"
 #include "tree-pass.h"
 #include "hashtab.h"
 #include "diagnostic.h"
Index: ipa-inline.c
===================================================================
--- ipa-inline.c	(revision 189457)
+++ ipa-inline.c	(working copy)
@@ -101,7 +101,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "cgraph.h"
 #include "diagnostic.h"
 #include "gimple-pretty-print.h"
-#include "timevar.h"
 #include "params.h"
 #include "fibheap.h"
 #include "intl.h"
Index: tree-ssa-dce.c
===================================================================
--- tree-ssa-dce.c	(revision 189457)
+++ tree-ssa-dce.c	(working copy)
@@ -49,14 +49,11 @@ along with GCC; see the file COPYING3.  If not see
 #include "tm.h"
 
 #include "tree.h"
-#include "tree-pretty-print.h"
 #include "gimple-pretty-print.h"
 #include "basic-block.h"
 #include "tree-flow.h"
 #include "gimple.h"
-#include "tree-dump.h"
 #include "tree-pass.h"
-#include "timevar.h"
 #include "flags.h"
 #include "cfgloop.h"
 #include "tree-scalar-evolution.h"
Index: tree-diagnostic.c
===================================================================
--- tree-diagnostic.c	(revision 189457)
+++ tree-diagnostic.c	(working copy)
@@ -27,7 +27,7 @@ along with GCC; see the file COPYING3.  If not see
 #include "diagnostic.h"
 #include "tree-pretty-print.h"
 #include "tree-diagnostic.h"
-#include "tree-pass.h" /* TDF_DIAGNOSTIC */
+#include "dumpfile.h" /* TDF_DIAGNOSTIC */
 #include "langhooks.h"
 #include "langhooks-def.h"
 #include "vec.h"
Index: loop-unroll.c
===================================================================
--- loop-unroll.c	(revision 189457)
+++ loop-unroll.c	(working copy)
@@ -32,6 +32,7 @@ along with GCC; see the file COPYING3.  If not see
 #include "hashtab.h"
 #include "recog.h"
 #include "target.h"
+#include "dumpfile.h"
 
 /* This pass performs loop unrolling and peeling.  We only perform these
    optimizations on innermost loops (with single exception) because
Index: tree-affine.c
===================================================================
--- tree-affine.c	(revision 189457)
+++ tree-affine.c	(working copy)
@@ -22,11 +22,11 @@ along with GCC; see the file COPYING3.  If not see
 #include "coretypes.h"
 #include "tree.h"
 #include "tree-pretty-print.h"
-#include "tree-dump.h"
 #include "pointer-set.h"
 #include "tree-affine.h"
 #include "gimple.h"
 #include "flags.h"
+#include "dumpfile.h"
 
 /* Extends CST as appropriate for the affine combinations COMB.  */
 
Index: graphite-interchange.c
===================================================================
--- graphite-interchange.c	(revision 189457)
+++ graphite-interchange.c	(working copy)
@@ -36,7 +36,7 @@ along with GCC; see the file COPYING3.  If not see
 #include "system.h"
 #include "coretypes.h"
 #include "tree-flow.h"
-#include "tree-dump.h"
+#include "dumpfile.h"
 #include "cfgloop.h"
 #include "tree-chrec.h"
 #include "tree-data-ref.h"
Index: cse.c
===================================================================
--- cse.c	(revision 189457)
+++ cse.c	(working copy)
@@ -36,7 +36,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "diagnostic-core.h"
 #include "toplev.h"
 #include "ggc.h"
-#include "timevar.h"
 #include "except.h"
 #include "target.h"
 #include "params.h"
Index: tree-ssa-ter.c
===================================================================
--- tree-ssa-ter.c	(revision 189457)
+++ tree-ssa-ter.c	(working copy)
@@ -25,11 +25,10 @@ along with GCC; see the file COPYING3.  If not see
 #include "coretypes.h"
 #include "tm.h"
 #include "tree.h"
-#include "tree-pretty-print.h"
 #include "gimple-pretty-print.h"
 #include "bitmap.h"
 #include "tree-flow.h"
-#include "tree-dump.h"
+#include "dumpfile.h"
 #include "tree-ssa-live.h"
 #include "flags.h"
 
Index: web.c
===================================================================
--- web.c	(revision 189457)
+++ web.c	(working copy)
@@ -49,7 +49,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "function.h"
 #include "insn-config.h"
 #include "recog.h"
-#include "timevar.h"
 #include "tree-pass.h"
 
 
Index: tree-scalar-evolution.c
===================================================================
--- tree-scalar-evolution.c	(revision 189457)
+++ tree-scalar-evolution.c	(working copy)
@@ -262,7 +262,7 @@ along with GCC; see the file COPYING3.  If not see
 #include "cfgloop.h"
 #include "tree-chrec.h"
 #include "tree-scalar-evolution.h"
-#include "tree-pass.h"
+#include "dumpfile.h"
 #include "params.h"
 
 static tree analyze_scalar_evolution_1 (struct loop *, tree, tree);
Index: reload1.c
===================================================================
--- reload1.c	(revision 189457)
+++ reload1.c	(working copy)
@@ -46,6 +46,7 @@ along with GCC; see the file COPYING3.  If not see
 #include "ira.h"
 #include "target.h"
 #include "emit-rtl.h"
+#include "dumpfile.h"
 
 /* This file contains the reload pass of the compiler, which is
    run after register allocation has been done.  It checks that
Index: tree-vect-slp.c
===================================================================
--- tree-vect-slp.c	(revision 189457)
+++ tree-vect-slp.c	(working copy)
@@ -28,13 +28,12 @@ along with GCC; see the file COPYING3.  If not see
 #include "tree.h"
 #include "target.h"
 #include "basic-block.h"
-#include "tree-pretty-print.h"
 #include "gimple-pretty-print.h"
 #include "tree-flow.h"
-#include "tree-dump.h"
+#include "tree-pass.h"
 #include "cfgloop.h"
 #include "expr.h"
-#include "recog.h"
+#include "recog.h"		/* FIXME: for insn_data */
 #include "optabs.h"
 #include "tree-vectorizer.h"
 #include "langhooks.h"
Index: loop-doloop.c
===================================================================
--- loop-doloop.c	(revision 189457)
+++ loop-doloop.c	(working copy)
@@ -33,6 +33,7 @@ along with GCC; see the file COPYING3.  If not see
 #include "cfgloop.h"
 #include "params.h"
 #include "target.h"
+#include "dumpfile.h"
 
 /* This module is used to modify loops with a determinable number of
    iterations to use special low-overhead looping instructions.
Index: gcse.c
===================================================================
--- gcse.c	(revision 189457)
+++ gcse.c	(working copy)
@@ -158,7 +158,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "cselib.h"
 #include "intl.h"
 #include "obstack.h"
-#include "timevar.h"
 #include "tree-pass.h"
 #include "hashtab.h"
 #include "df.h"
Index: tree-vect-patterns.c
===================================================================
--- tree-vect-patterns.c	(revision 189457)
+++ tree-vect-patterns.c	(working copy)
@@ -29,15 +29,15 @@ along with GCC; see the file COPYING3.  If not see
 #include "basic-block.h"
 #include "gimple-pretty-print.h"
 #include "tree-flow.h"
-#include "tree-dump.h"
 #include "cfgloop.h"
 #include "expr.h"
 #include "optabs.h"
 #include "params.h"
 #include "tree-data-ref.h"
 #include "tree-vectorizer.h"
-#include "recog.h"
+#include "recog.h"		/* FIXME: for insn_data */
 #include "diagnostic-core.h"
+#include "dumpfile.h"
 
 /* Pattern recognition functions  */
 static gimple vect_recog_widen_sum_pattern (VEC (gimple, heap) **, tree *,
Index: gimple-fold.c
===================================================================
--- gimple-fold.c	(revision 189457)
+++ gimple-fold.c	(working copy)
@@ -25,9 +25,8 @@ along with GCC; see the file COPYING3.  If not see
 #include "tree.h"
 #include "flags.h"
 #include "function.h"
-#include "tree-dump.h"
+#include "dumpfile.h"
 #include "tree-flow.h"
-#include "tree-pass.h"
 #include "tree-ssa-propagate.h"
 #include "target.h"
 #include "gimple-fold.h"
Index: gimple-ssa-strength-reduction.c
===================================================================
--- gimple-ssa-strength-reduction.c	(revision 189457)
+++ gimple-ssa-strength-reduction.c	(working copy)
@@ -49,9 +49,7 @@ along with GCC; see the file COPYING3.  If not see
 #include "gimple.h"
 #include "basic-block.h"
 #include "tree-pass.h"
-#include "timevar.h"
 #include "cfgloop.h"
-#include "tree-pretty-print.h"
 #include "gimple-pretty-print.h"
 #include "tree-flow.h"
 #include "domwalk.h"
Index: var-tracking.c
===================================================================
--- var-tracking.c	(revision 189457)
+++ var-tracking.c	(working copy)
@@ -104,7 +104,6 @@
 #include "hashtab.h"
 #include "regs.h"
 #include "expr.h"
-#include "timevar.h"
 #include "tree-pass.h"
 #include "tree-flow.h"
 #include "cselib.h"
Index: tree-profile.c
===================================================================
--- tree-profile.c	(revision 189457)
+++ tree-profile.c	(working copy)
@@ -37,9 +37,7 @@ along with GCC; see the file COPYING3.  If not see
 #include "coverage.h"
 #include "tree.h"
 #include "tree-flow.h"
-#include "tree-dump.h"
 #include "tree-pass.h"
-#include "timevar.h"
 #include "value-prof.h"
 #include "cgraph.h"
 #include "profile.h"
Index: passes.c
===================================================================
--- passes.c	(revision 189457)
+++ passes.c	(working copy)
@@ -49,7 +49,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "ggc.h"
 #include "graph.h"
 #include "regs.h"
-#include "timevar.h"
 #include "diagnostic-core.h"
 #include "params.h"
 #include "reload.h"
Index: tree-ssa-coalesce.c
===================================================================
--- tree-ssa-coalesce.c	(revision 189457)
+++ tree-ssa-coalesce.c	(working copy)
@@ -27,9 +27,9 @@ along with GCC; see the file COPYING3.  If not see
 #include "flags.h"
 #include "tree-pretty-print.h"
 #include "bitmap.h"
+#include "dumpfile.h"
 #include "tree-flow.h"
 #include "hashtab.h"
-#include "tree-dump.h"
 #include "tree-ssa-live.h"
 #include "diagnostic-core.h"
 
Index: graphite-clast-to-gimple.c
===================================================================
--- graphite-clast-to-gimple.c	(revision 189457)
+++ graphite-clast-to-gimple.c	(working copy)
@@ -36,7 +36,7 @@ along with GCC; see the file COPYING3.  If not see
 #include "coretypes.h"
 #include "diagnostic-core.h"
 #include "tree-flow.h"
-#include "tree-dump.h"
+#include "dumpfile.h"
 #include "cfgloop.h"
 #include "tree-chrec.h"
 #include "tree-data-ref.h"
Index: tree-ssa-address.c
===================================================================
--- tree-ssa-address.c	(revision 189457)
+++ tree-ssa-address.c	(working copy)
@@ -30,9 +30,7 @@ along with GCC; see the file COPYING3.  If not see
 #include "basic-block.h"
 #include "tree-pretty-print.h"
 #include "tree-flow.h"
-#include "tree-dump.h"
-#include "tree-pass.h"
-#include "timevar.h"
+#include "dumpfile.h"
 #include "flags.h"
 #include "tree-inline.h"
 #include "tree-affine.h"
Index: ipa-utils.c
===================================================================
--- ipa-utils.c	(revision 189457)
+++ ipa-utils.c	(working copy)
@@ -25,7 +25,7 @@ along with GCC; see the file COPYING3.  If not see
 #include "tree.h"
 #include "tree-flow.h"
 #include "tree-inline.h"
-#include "tree-pass.h"
+#include "dumpfile.h"
 #include "langhooks.h"
 #include "pointer-set.h"
 #include "splay-tree.h"
@@ -35,7 +35,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "gimple.h"
 #include "cgraph.h"
 #include "flags.h"
-#include "timevar.h"
 #include "diagnostic.h"
 #include "langhooks.h"
 
Index: sel-sched.c
===================================================================
--- sel-sched.c	(revision 189457)
+++ sel-sched.c	(working copy)
@@ -35,8 +35,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "params.h"
 #include "target.h"
 #include "output.h"
-#include "timevar.h"
-#include "tree-pass.h"
 #include "sched-int.h"
 #include "ggc.h"
 #include "tree.h"
